Modify

Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#4284 closed defect (wontfix)

Einstellungen speichern __nicht__ möglich

Reported by: gjall1973@… Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: Preferences speichern Cc:

Description

Hallo JOSM-Entwickler,

ich wollte Euer Programm unter FreeBSD 8.0 testen, nachdem ich unter Windows auf Arbeit gute Erfahrungen gemacht hatte, allerdings stoße ich jetzt auf nachfolgendes Problem:

Beim Erststart des Programms wird folgende Nachricht angezeigt:

Failed to initialize preferences.
Failed to reset preferences file to default: /home/tom/.josm/preferences

Zu diesem Zeitpunkt werden im ~/.josm Verzeichnis 3 Dateien angelegt:

  1. preferences (0 Byte)
  2. preferences_backup (0 Byte)
  3. preferences_tmp (18 Byte - Inhalt: josm.version=xxxx

Die Konsole zeigt folgende Ausgaben:

Warning: Missing preference file '/home/tom/.josm/preferences'. Creating a default preference file.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-12-02 02:32:19
Last Changed Author: jttt
Revision: 2561
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-12-01 21:37:23 +0100 (Tue, 01 Dec 2009)
Last Changed Rev: 2561

Warning: failed to persist preferences to '/home/tom/.josm/preferences'
java.io.IOException: Function not implemented
        at sun.nio.ch.FileChannelImpl.transferTo0(Native Method)
        at sun.nio.ch.FileChannelImpl.transferToDirectly(FileChannelImpl.java:415)
        at sun.nio.ch.FileChannelImpl.transferTo(FileChannelImpl.java:516)
        at org.openstreetmap.josm.data.Preferences.copyFile(Preferences.java:362)
        at org.openstreetmap.josm.data.Preferences.save(Preferences.java:332)
        at org.openstreetmap.josm.data.Preferences.init(Preferences.java:429)
        at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:90)

Das Programm fährt dann normal hoch, während jedoch permanent die Ausgabe:

Warning: failed to persist preferences to '/home/tom/.josm/preferences'

in die Konsole gedumpt wird.

Egal was ich auch für Aktionen veranstalte, es werden keine Einstellungen abgespeichert.

Könnt Ihr da weiterhelfen? Vielen Dank im Voraus!

Mein System:

java version "1.6.0_17"
Java(TM) SE Runtime Environment (build 1.6.0_17-b04)
Java HotSpot(TM) Server VM (build 14.3-b01, mixed mode)

FreeBSD hyperion.intranet.dom 8.0-RELEASE FreeBSD 8.0-RELEASE #0: Sat Nov 21 15:02:08 UTC 2009 root@…:/usr/obj/usr/src/sys/GENERIC amd64

getestet mit Version(en):

2561 / 2690 / 2725

Attachments (0)

Change History (1)

comment:1 Changed 10 years ago by gjall1973@…

Resolution: wontfix
Status: newclosed

Sorry Leute,

ich habe den Port übersehen gehabt und händisch zu installieren versucht. Mit dem FreeBSD-Port klappt die

Sache.

Bitte das Ticket schließen!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.